Página 1 de 2 12 ÚltimoÚltimo
+ Responder ao Tópico



  1. Olá amigos...instalei o apt-get no Fedora core 2 e ele está estranho....qndo mando instalar um pacote (apt-get install gcc) ele funciona tranquilo mas qndo mando atualizar (apt-get upgrade) ele baixa todos os arquivos e qndo vai começar a instalar dá este erro:

    rpmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from db->close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from db->close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from dbenv->close: DB_RUNRECOVERY: Fatal error, run database recovery
    W: Ocorreram erros enquanto rodando a transação

    oq eu faço????

    ABraço

  2. #2
    drginfo
    esperimenta:

    apt-get -f install



  3. Fiz acontesseu isso

    [root@marina root]# apt-get -f install
    Lendo Listas de Pacotes... Feito
    Construindo Árvore de Dependências... Feito
    0 atualizados, 0 novos instalados, 0 removidos e 18 não atualizados.
    [root@marina root]#

    Olha isso:
    [root@marina root]# apt-get -f upgrade
    Lendo Listas de Pacotes... Feito
    Construindo Árvore de Dependências... Feito
    Os seguintes pacotes serão atualizados
    dhclient ethereal finger ftp lha nmap ppp rsync sox system-config-network
    system-config-network-tui system-config-users vim-common vim-enhanced
    vim-minimal xorg-x11-font-utils xorg-x11-xauth zip
    18 atualizados, 0 novos instalados, 0 removidos e 0 não atualizados.
    É preciso pegar 0B/14,3MB de arquivos.
    Após desempacotar 7859kB de espaço adicional serão utilizados.
    Você quer continuar? [S/n] S
    Committing charges.....
    Preparing... ########################################### [100%]
    1:dhclient ########################################### [ 6%]
    rpmdb: PANIC: Argumento inválido
    rpmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from db->close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from db->close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from dbenv->close: DB_RUNRECOVERY: Fatal error, run database recovery
    W: Ocorreram erros enquanto rodando a transação


    Oq pode ser isso????????????????

  4. #4
    karfax
    Tente isto:
    rpm --rebuilddb &
    (Isto vai levar um tempo, por isso foi enviado para background).

    Voce pode estar com a base de dados rpm corrompida e isto irá re-construir.

    Depois, tente usar o apt novamente.

    Sds,



  5. Citação Postado originalmente por karfax
    Tente isto:
    rpm --rebuilddb &
    (Isto vai levar um tempo, por isso foi enviado para background).

    Voce pode estar com a base de dados rpm corrompida e isto irá re-construir.

    Depois, tente usar o apt novamente.

    Sds,

    Irmão vc é fodaaaaaaaa....resolveu geral este comando.....
    Abraço






Tópicos Similares

  1. Respostas: 1
    Último Post: 21-07-2016, 23:22
  2. Respostas: 1
    Último Post: 20-08-2004, 08:48
  3. Erro no apt-get update para atualizar distro.
    Por Hacinn no fórum Servidores de Rede
    Respostas: 3
    Último Post: 05-05-2004, 09:53
  4. Erro de dependencia no apt-get.
    Por vonlinkerstain no fórum Servidores de Rede
    Respostas: 0
    Último Post: 01-03-2004, 11:54
  5. Erro no APT-GET
    Por kundera no fórum Servidores de Rede
    Respostas: 8
    Último Post: 04-02-2004, 12:17

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L